summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh
diff options
context:
space:
mode:
Diffstat (limited to 'config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh')
-rwxr-xr-xconfig/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh b/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh
index 365623a..3a02fc4 100755
--- a/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh
+++ b/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/30-i2p.sh
@@ -3,8 +3,11 @@
# I2P isn't started automatically at system boot.
# Instead, it is started with this hook script.
+# Import i2p_is_enabled().
+. /usr/local/lib/tails-shell-library/i2p.sh
+
# Don't even try to run this script if I2P is not enabled.
-grep -qw "i2p" /proc/cmdline || exit 0
+i2p_is_enabled || exit 0
# don't run if interface is 'lo'
[ $1 = "lo" ] && exit 0